---
title: "News from the front"
date: 2012-09-17 17:45
categories: releases
community: true
---

### v2.9pre. News from the front

Hi everyone!

I got a free minute and decided to share some news of next release with you :)

* 2.9 already got over 400 commits
* We changed comments order(except wall)
* We added omniauth support (twitter, google...)
* Bunch of stuff fixed
* Refactored a lot of code
* We prepared gitlab for gitolite v3
* Emoji :smile:
* Moved from Cucumber to [Spinach](http://codegram.github.com/spinach-presentation/#1)
* keep LDAP, OAuth setting in one place -> config/gitlab.yml
* Profile and Admin area got some new features

Its a very cool release and I recommend everyone to update at 22th :)

I'd like to thank all the contributors! We build a better software together.

Also special thanks for:

* [@tsigo](https://github.com/tsigo) 
* [@NARKOZ](https://github.com/NARKOZ)
* [@riyad](https://github.com/riyad)
* [@AlexDenisov](https://github.com/AlexDenisov)

They made a lot of cool commits for this release. 
